/***************************************************************************
                   Convert Request Service Move Header ( ConvertReqServiceMove.h )
                -----------------------------------------

	begin      : 2013/03/18
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
					- 2013/03/18 - 1st dadamin
	email      : dev1@solbox.com
	version    : 3.2.0

	CopyRight(C) 2005 Solbox Inc. All Rights reserved.
	Redistribution and use in source and binary forms, with or with out
	modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef __CONVERT_REQ_SERVICE_MOVE_H__
#define __CONVERT_REQ_SERVICE_MOVE_H__

class CConvert;

class CConvertReqSvcMove : public CConvert
{
public:
	CConvertReqSvcMove(string subkey = "");
	virtual ~CConvertReqSvcMove();

	virtual int ToJobData(int nServiceType, void* pFrom, void *pTo);
	virtual void *ToClientData(int nServiceType,  int nEnd, void* pFrom, int & outlen);
protected:
	string MakeMoveRequestXML(void* pData);
	string MakeMoveCompleteXML(void* pData);
	
private:
	string	m_subkey;
};

#endif // __CONVERT_REQ_SERVICE_MOVE_H__
